﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace IK
{
    abstract class RangedMetricMap<T> : MetricMap
    {
        private T min;
        private T max;


        public RangedMetricMap(T min, T max)
        {
            this.min = min;
            this.max = max;
        }


        public T Min
        {
            get { return min; }
            set { min = value; }
        }

        public T Max
        {
            get { return max; }
            set { max = value; }
        }
    }
}
